Presets
Update a preset
PATCH
Only the owner can update a preset. System presets cannot be updated via API.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
preset_code*stringapplication/json- body
name?|New display name.
Default
nulldescription?|New description.
Default
nullinstruction_data?|New instruction configuration data.
Default
nullSuccessful Response
application/json- response
Common preset fields.
preset_code*Preset CodeUnique identifier for the preset.
name*NamePreset display name.
description*|Optional description of the preset.
type*TypePreset type: flat_2_model, model_swap, or identity_creation.
Value in
"flat_2_model""model_swap""identity_creation""create_packshot""garment_recolor"visibility*VisibilityVisibility level of the preset.
Value in
"shared""private""system"groups*array<string>Groups the preset is shared with.
categories*array<>Categories assigned to this preset.
instruction_data*Instruction configuration data (JSON).
created_by*|Email of the creator (null for system presets).
created_at*Created AtCreation datetime (UTC) in ISO 8601 format.
updated_at*Updated AtLast updated datetime (UTC) in ISO 8601 format.
curl -X PATCH "https://example.com/preset/string" \ -H "Content-Type: application/json" \ -d '{}'{ "preset_code": "string", "name": "string", "description": "string", "type": "flat_2_model", "visibility": "shared", "groups": [ "string" ], "categories": [ { "id": "string", "name": "string", "description": "string", "thumbnail_url": "string", "visibility": "shared", "created_by": "string", "created_at": "string", "swatch_source": null, "preset_count": 0, "preset_types": [ "flat_2_model" ], "groups": [ "string" ], "preset_previews": [ { "preset_code": "string", "name": "string", "preview_url": null, "framing": null, "angle": null } ] } ], "instruction_data": {}, "created_by": "string", "created_at": "string", "updated_at": "string"}